package com.muyu.rule.common.basic.handler;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic
 * @Project：cloud-etl-rule
 * @name：规则引擎作用域
 * @Date：2024/8/29 14:21
 */
public class DataEngineHandler {

    private static final ThreadLocal<Object> dataEngineHandler    = new ThreadLocal<>();

    public static void set(final  Object handler){

        dataEngineHandler.set(handler);
    }

    public static <T> T get(){

        return  (T) dataEngineHandler.get();

    }


public static void remove(){
        dataEngineHandler.remove();
}







}
